From f444b962ebb985b4c8352f92c4707de65b04498c Mon Sep 17 00:00:00 2001
From: Bharath Rupireddy <bharath.rupireddy@enterprisedb.com>
Date: Thu, 8 Apr 2021 15:52:04 +0530
Subject: [PATCH v1] Stabilize tests in create_function_3.sql with ORDER BY
 clause

---
 src/test/regress/expected/create_function_3.out | 10 +++++-----
 src/test/regress/sql/create_function_3.sql      | 10 +++++-----
 2 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/src/test/regress/expected/create_function_3.out b/src/test/regress/expected/create_function_3.out
index 1fbaebcc72..d5331d2b39 100644
--- a/src/test/regress/expected/create_function_3.out
+++ b/src/test/regress/expected/create_function_3.out
@@ -480,20 +480,20 @@ SELECT r0.routine_name, r1.routine_name
  functest_is_4b | functest_is_4a
 (1 row)
 
-SELECT routine_name, sequence_name FROM information_schema.routine_sequence_usage;
+SELECT routine_name, sequence_name FROM information_schema.routine_sequence_usage ORDER BY 1;
  routine_name  | sequence_name 
 ---------------+---------------
  functest_is_5 | functest1
  functest_is_6 | functest1
 (2 rows)
 
-SELECT routine_name, table_name, column_name FROM information_schema.routine_column_usage;
+SELECT routine_name, table_name, column_name FROM information_schema.routine_column_usage ORDER BY 1;
  routine_name  | table_name | column_name 
 ---------------+------------+-------------
  functest_is_7 | functest2  | a
 (1 row)
 
-SELECT routine_name, table_name FROM information_schema.routine_table_usage;
+SELECT routine_name, table_name FROM information_schema.routine_table_usage ORDER BY 1;
  routine_name  | table_name 
 ---------------+------------
  functest_is_7 | functest2
@@ -532,7 +532,7 @@ STABLE
 AS '
     VALUES (1), (2), (3);
 ';
-SELECT * FROM functest_sri1();
+SELECT * FROM functest_sri1() ORDER BY 1;
  functest_sri1 
 ---------------
              1
@@ -610,7 +610,7 @@ SELECT voidtest4(39);
  
 (1 row)
 
-TABLE sometable;
+SELECT * FROM sometable ORDER BY 1;
  f1 
 ----
  18
diff --git a/src/test/regress/sql/create_function_3.sql b/src/test/regress/sql/create_function_3.sql
index 695ee3413f..93fa7535f1 100644
--- a/src/test/regress/sql/create_function_3.sql
+++ b/src/test/regress/sql/create_function_3.sql
@@ -277,9 +277,9 @@ SELECT r0.routine_name, r1.routine_name
   FROM information_schema.routine_routine_usage rru
        JOIN information_schema.routines r0 ON r0.specific_name = rru.specific_name
        JOIN information_schema.routines r1 ON r1.specific_name = rru.routine_name;
-SELECT routine_name, sequence_name FROM information_schema.routine_sequence_usage;
-SELECT routine_name, table_name, column_name FROM information_schema.routine_column_usage;
-SELECT routine_name, table_name FROM information_schema.routine_table_usage;
+SELECT routine_name, sequence_name FROM information_schema.routine_sequence_usage ORDER BY 1;
+SELECT routine_name, table_name, column_name FROM information_schema.routine_column_usage ORDER BY 1;
+SELECT routine_name, table_name FROM information_schema.routine_table_usage ORDER BY 1;
 
 DROP FUNCTION functest_IS_4a CASCADE;
 DROP SEQUENCE functest1 CASCADE;
@@ -312,7 +312,7 @@ AS '
     VALUES (1), (2), (3);
 ';
 
-SELECT * FROM functest_sri1();
+SELECT * FROM functest_sri1() ORDER BY 1;
 EXPLAIN (verbose, costs off) SELECT * FROM functest_sri1();
 
 CREATE FUNCTION functest_sri2() RETURNS SETOF int
@@ -349,7 +349,7 @@ CREATE FUNCTION voidtest4(a int) RETURNS VOID LANGUAGE SQL AS
 $$ INSERT INTO sometable VALUES(a - 1) RETURNING f1 $$;
 SELECT voidtest4(39);
 
-TABLE sometable;
+SELECT * FROM sometable ORDER BY 1;
 
 CREATE FUNCTION voidtest5(a int) RETURNS SETOF VOID LANGUAGE SQL AS
 $$ SELECT generate_series(1, a) $$ STABLE;
-- 
2.25.1

